# $Revision: 1.119 $, $Date: 2010/05/16 14:56:49 $
#
# Conditional build:
%bcond_with	transnexusosp	# support for the Transnexus OSP toolkit (huge static lib)

# TODO:
# - separate plugins to subpackages
# - gsm-amr plugin (using system amrnb if possible)
# - use system libilbc or at least use optflags for plugins/audio/iLBC
# - configure: Skipping tests for RFC 2190 H.263 support
# - configure: Disabled non-RFC2190 H.263 using ffmpeg
# - configure: Disabled H.263 using VIC

%define		fver	%(echo %{version} | tr . _)
Summary:	OpenH323 Library
Summary(pl.UTF-8):	Biblioteka OpenH323
Name:		openh323
Version:	1.19.0.1
Release:	4
License:	MPL 1.0
Group:		Libraries
Source0:	http://www.voxgratia.org/releases/%{name}-v%{fver}-src-tar.gz
# Source0-md5:	e7ba3ae6b50d0d02c5cbe9ed3a3152c4
Patch0:		%{name}-mak_files.patch
Patch1:		%{name}-asnparser.patch
Patch2:		%{name}-lib.patch
Patch3:		%{name}-system-libs.patch
Patch4:		%{name}-ffmpeg.patch
Patch5:		%{name}-configure_fix.patch
Patch6:		%{name}-install64.patch
Patch7:		%{name}-inc.patch
Patch8:		ptlib-check.patch
Patch9:		ptlib-headers.patch
URL:		http://www.voxgratia.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	ffmpeg-devel >= 0.4.6
BuildRequires:	libgsm-devel >= 1.0.10
BuildRequires:	libstdc++-devel
BuildRequires:	lpc10-devel >= 1.5
BuildRequires:	pwlib-devel >= 1.11
%{?with_transnexusosp:BuildRequires:	OSPToolkit}
BuildRequires:	sed >= 4.0
BuildRequires:	speex-devel >= 1:1.1.5
Requires:	speex >= 1:1.1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OpenH323 project aims to create a full featured, interoperable,
Open Source implementation of the ITU H.323 teleconferencing protocol
that can be used by personal developers and commercial users without
charge.

%description -l pl.UTF-8
Celem projektu OpenH323 jest stworzenie w pełni funkcjonalnej i
wyposażonej implementacji protokołu telekonferencyjnego ITU H.323,
który może być używany przez użytkowników prywatnych i komercyjnych
bez opłat.

%package devel
Summary:	OpenH323 development files
Summary(pl.UTF-8):	Pliki dla developerów OpenH323
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ffmpeg-devel
Requires:	pwlib-devel >= 1.11

%description devel
Header files and libraries for developing applications that use
OpenH323.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki konieczne do rozwoju aplikacji
używających OpenH323.

%package static
Summary:	OpenH323 static libraries
Summary(pl.UTF-8):	Biblioteki statyczne OpenH323
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
OpenH323 static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne OpenH323.

%prep
%setup -q -n %{name}_v%{fver}
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%if "%{_lib}" == "lib64"
%patch6 -p1
sed -i -e 's#/lib#/lib64#g' openh323u.mak.in
%endif
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
export OPENH323DIR=${PWD:-$(pwd)}
export OPENH323_BUILD="yes"
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	--enable-localspeex=no \
	%{!?with_transnexusosp:--disable-transnexusosp} \
	--enable-plugins

%{__make} -j1 %{?debug:debug}%{!?debug:opt}shared apps \
	CC="%{__cc}" \
	CPLUS="%{__cxx}" \
	OPTCCFLAGS="%{rpmcflags} %{!?debug:-DNDEBUG}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_bindir}}

%{__make} -j1 install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}

# using cp as install won't preserve links
cp -pd %{_lib}/lib*.a $RPM_BUILD_ROOT%{_libdir}
install -p samples/simple/obj_*/simph323 $RPM_BUILD_ROOT%{_bindir}
cp -a version.h $RPM_BUILD_ROOT%{_includedir}/%{name}

sed -i -e 's#OH323_INCDIR = .*#OH323_INCDIR = %{_includedir}/%{name}#g' $RPM_BUILD_ROOT%{_datadir}/%{name}/*.mak
sed -i -e 's#OH323_LIBDIR = .*#OH323_LIBDIR = %{_libdir}#g' $RPM_BUILD_ROOT%{_datadir}/%{name}/*.mak

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libopenh323.so.*.*.*
%dir %{_libdir}/pwlib/codecs
%dir %{_libdir}/pwlib/codecs/audio
%attr(755,root,root) %{_libdir}/pwlib/codecs/audio/*_pwplugin.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenh323.so
%{_includedir}/openh323
%{_datadir}/openh323

%files static
%defattr(644,root,root,755)
%{_libdir}/libopenh323.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openh323.spec,v $
Revision 1.119  2010/05/16 14:56:49  sparky
- must not build in parallel

Revision 1.118  2010/04/25 20:10:41  arekm
- release 4

Revision 1.117  2010/04/10 17:33:45  arekm
- release 3

Revision 1.116  2010/01/09 19:44:58  arekm
- release 2

Revision 1.115  2009/12/30 17:45:24  glen
- pwlib 1.11 for PNatStrategy::GetNATList and PNatMethod::GetNatMethodName

Revision 1.114  2009/12/30 17:29:18  glen
- release 1

Revision 1.113  2009/12/30 17:28:26  glen
- disable -losptk

Revision 1.112  2009/12/30 17:16:00  glen
- up to 1.19.0.1

Revision 1.111  2008/02/07 13:34:31  glen
- rel 10 (ffmpeg)

Revision 1.110  2007-09-28 10:03:52  patrys
- rebuild with new pwlib

Revision 1.109  2007/06/15 19:06:55  areq
- new URL

Revision 1.108  2007/04/19 21:43:52  arekm
- rel 8; fix openh323u.mak after build

Revision 1.107  2007/04/18 21:33:05  arekm
- rel 6; fix build with new llh

Revision 1.106  2007/03/14 14:19:06  megabajt
- release 5 to rebuild with pwlib 1.10.5

Revision 1.105  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.104  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.103  2006/12/23 11:41:29  czarny
- rel 4 to rebuild with new pwlib

Revision 1.102  2006/08/09 19:47:58  arekm
- rel 3

Revision 1.101  2006/06/07 06:29:08  aredridel
- rel 2 to rebuild with new pwlib

Revision 1.100  2006/05/26 14:53:52  qboosh
- todo: iLBC is compiled without any -O now :/

Revision 1.99  2006/05/26 14:27:32  qboosh
- TODO: amrnb

Revision 1.98  2006/05/24 08:24:17  qboosh
- require pwlib >= 1.10.0 (merged from AC-branch)

Revision 1.97  2006/04/12 22:46:33  arekm
- up to 1.18.0

Revision 1.96  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.95  2006/01/17 14:40:37  baggins
- release 3
- rebuild with openldap 2.3

Revision 1.94  2005/06/06 07:55:59  speedy
- simplify %install

Revision 1.93  2005/06/04 23:26:19  qboosh
- more general lib64 if

Revision 1.92  2005/06/04 21:18:28  speedy
- fix %install (64bit)
- release 2

Revision 1.91  2005/05/18 18:06:44  radzio
- install version.h

Revision 1.90  2005/05/18 17:55:42  radzio
- 1.17.1

Revision 1.89  2005/04/13 21:30:38  qboosh
- BR: am

Revision 1.88  2005/04/12 21:17:51  averne
- fixed for build on amd64 (config.sub)

Revision 1.87  2005/03/29 09:38:34  aflinta
- release 1

Revision 1.86  2005/03/26 18:55:57  qboosh
- cleanup

Revision 1.85  2005/03/26 17:23:35  qboosh
- patches are back (configure_fix,ffmpeg,mak_files,system-libs updated)
- removed obsolete no_samples,speex patches

Revision 1.84  2005/03/22 13:31:35  aflinta
- moved libh323_linux_x86_r.so from devel to main package

Revision 1.83  2005/03/20 16:08:29  aflinta
- up to version 1.15.3

Revision 1.82  2004/05/13 17:17:35  ankry
- spaces -> tabs, other cosmetics

Revision 1.81  2004/04/08 06:35:45  qboosh
- added with_speex11 bcond

Revision 1.80  2004/04/05 06:31:35  aflinta
- up to version 1.13.5

Revision 1.79  2004/04/04 21:46:23  aflinta
- rebuild with speex 1.0.3 (commented out patch for speex 1.1.x series)
- release 4

Revision 1.78  2004/04/03 23:40:43  qboosh
- updated mak_files patch to set lib64-aware OH323_LIBDIR
  using ptlib-config
- release 3

Revision 1.77  2004/04/03 20:44:11  qboosh
- added fix for OPENH323DIR to mak_files patch
  OH323_LIBDIR issue (lib/lib64) not resolved because *.mak are in /usr/share :/
- release 2

Revision 1.76  2004/03/28 01:46:45  qboosh
- openh323u.mak is broken, TODO added

Revision 1.75  2004/03/22 22:32:10  aflinta
- we require latest pwlib now

Revision 1.74  2004/03/22 21:32:32  qboosh
- pwlib deps down to existing version

Revision 1.73  2004/03/21 22:48:06  aflinta
- up to version 1.13.4

Revision 1.72  2004/03/21 21:21:52  aflinta
- release 3 to rebuild with plugins aware pwlib

Revision 1.71  2004/03/19 20:02:08  qboosh
- release 2 to avoid Ac inconsistency

Revision 1.70  2004/03/19 09:58:23  arekm
- fix for speex (needs confirmation)

Revision 1.69  2004/03/18 23:21:08  qboosh
- needs pwlib 1.6.4; strict internal deps

Revision 1.68  2004/03/18 00:41:52  arekm
- update for 1.13.3-1

Revision 1.67  2004/03/16 14:06:19  averne
- rel2 for rebuild in Ac

Revision 1.66  2003/09/03 22:44:32  qboosh
- 0.12.2, updated mak_files,no_samples,system-libs,ffmpeg,configure_fix patches

Revision 1.65  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.64  2003/07/18 12:49:15  blues
- added configure_fix patch: reordered includes (avoid loops), fix in
  ptlib-config lookup

Revision 1.63  2003/07/13 00:42:04  qboosh
- up to 1.12.0
- updated lib,mak_files,system_libs patches, added ffmpeg patch
- openh323u.mak moved to standard %{_datadir}/openh323 dir

Revision 1.62  2003/05/28 13:00:05  malekith
- massive attack: source-md5

Revision 1.61  2003/05/25 05:51:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.60  2003/04/18 22:46:09  qboosh
- added system-libs patch - use system libgsm, lpc10 and speex codec libs
  (not vic - it isn't library, only some files cut down from vic sources)

Revision 1.59  2003/04/18 09:37:35  qboosh
- updated to 1.11.7, fixed typo in mak_files patch

Revision 1.58  2003/03/24 11:13:30  aflinta
- updated speex requires

Revision 1.57  2003/02/28 10:08:04  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.56  2003/01/12 19:36:18  aflinta
- updated to version 1.11.2

Revision 1.55  2002/12/17 22:07:30  aflinta
- updated to version 1.11.1

Revision 1.54  2002/11/17 22:26:16  marcus
- updated to 1.10.4

Revision 1.53  2002/11/17 16:17:01  agaran
- BR: openldap-devel its used

Revision 1.52  2002/11/17 16:04:40  kloczek
- removed openldap-devel from BuildRequires (isn't used).

Revision 1.51  2002/11/17 14:24:26  agaran
- added br openldap-devel

Revision 1.50  2002/11/13 20:29:37  aflinta
- updated to version 1.10.3

Revision 1.49  2002/10/28 20:27:32  aflinta
- cleanup

Revision 1.48  2002/10/28 09:46:19  marcus
- fixed path to speex.h

Revision 1.47  2002/10/28 09:25:28  marcus
- updated to 1.10.0

Revision 1.46  2002/10/24 11:58:19  aflinta
- updated to version 1.9.10

Revision 1.45  2002/10/16 22:23:31  aflinta
- added BR glibc-devel 2.3
- NOTE! If You are using older version of glibc, just remove patch4
  and it will compile :)

Revision 1.44  2002/10/16 19:42:33  aflinta
- updated to version 1.9.9

Revision 1.43  2002/09/26 01:45:38  aflinta
- updated to version 1.9.8

Revision 1.42  2002/09/23 19:44:15  mmazur
- there are bin files :)

Revision 1.41  2002/09/23 19:37:59  mmazur
- there are no bin files :)

Revision 1.40  2002/09/18 15:21:40  aflinta
- updated BR

Revision 1.39  2002/09/18 15:15:30  aflinta
- updated to version 1.9.6

Revision 1.38  2002/08/03 22:07:01  klakier
- ver 1.9.4

Revision 1.37  2002/07/27 22:32:29  kloczek
- updated to 1.9.3 (release 3).

Revision 1.36  2002/07/09 15:58:06  marcus
- updated to 1.9.2

Revision 1.35  2002/06/11 18:50:36  kloczek
- cosmetics.

Revision 1.34  2002/06/11 17:44:19  ankry
- removed BC openh323-devel (openh323-lib.patch)
- release 2

Revision 1.33  2002/06/06 01:43:49  kloczek
- use new %doc.

Revision 1.32  2002/06/02 13:32:05  aflinta
- updated to version 1.8.8

Revision 1.31  2002/04/12 20:41:41  mmazur
- added new pwlib to BR; rel 3; STBR

Revision 1.30  2002/04/11 18:31:29  misiek
- use __cc and __cxx

Revision 1.29  2002/04/11 18:18:40  mmazur
- rel 2; STBR

Revision 1.28  2002/04/09 22:32:43  mmazur
- added pwlib >= 1.2.13-1.1 (the one with the gnomemeeting video patch) to BR

Revision 1.27  2002/04/05 21:05:30  mmazur
- merged with DEVEL; STBR

Revision 1.26.2.3  2002/04/03 17:51:28  mmazur
- fixed BR

Revision 1.26.2.2  2002/03/27 10:42:49  mmazur
- my mistake... this should go for ra/test not nest... kicked gcc2

Revision 1.26.2.1  2002/03/25 20:39:00  mmazur
- updated to... eee... check in the diff... rel1... STBR for NEST I think
- should definitively correct those BR's

Revision 1.26  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:14:07  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2002/01/17 03:06:26  kloczek
- updated to 1.7.10 (bugfix release).

Revision 1.22  2002/01/09 00:48:27  misiek
- modified buildconflicts

Revision 1.21  2002/01/09 00:38:37  misiek
- missing requires in devel subpackages

Revision 1.20  2002/01/08 21:33:54  misiek
- release 2

Revision 1.19  2002/01/08 13:29:24  misiek
- BuildRequires:  pwlib-devel >= 1.2.9

Revision 1.18  2002/01/08 13:00:47  misiek
- updated to 1.7.8

Revision 1.17  2001/11/04 02:57:59  blues
- pl translation added
  NOTE: there is new version avaible

Revision 1.16  2001/09/01 07:27:11  kloczek
- updated to 1.6.1.

Revision 1.15  2001/08/21 22:43:53  kloczek
- spec adapterized,
- compile C++ code with -fno-exceptions -fno-rtti (much more smaller binaries),
- small fix in %files in main package (donot include SONAME symlink),
- spec adapterized,
- added using %{rpmcflags} macros.

Revision 1.14  2001/08/21 12:23:18  waszi
- version 1.6.0

Revision 1.13  2001/08/09 12:54:20  jajcus
- Version: 1.5.7
- it compiles now

Revision 1.12  2001/07/04 18:38:36  jajcus
- Version 1.5.5, not working (some missing header files)

Revision 1.11  2001/01/17 23:27:31  kloczek
- release 3,
- added libstdc++-devel to BuildRequires and to Requires in devel
  subpackage.

Revision 1.10  2001/01/17 15:53:37  kloczek
- small fix in %install which allow build package on non-x86 archs.

Revision 1.9  2001/01/17 08:14:44  jajcus
- Release: 2

Revision 1.8  2001/01/11 14:37:50  jajcus
- make it build wit latest pwlib packages
- %{debug} handling based on pwlib build system

Revision 1.7  2001/01/08 13:13:28  kloczek
- added gzipping %doc and %doc moved to devel,
- added no_samples patch because makefiles for building samples are brouke
  (probably this can/must be fixed),
- make spec %{debug} ready,
- BuildRequires pwlib-devel only,
- fix permission on shared libraries.

Revision 1.6  2001/01/07 16:11:34  jajcus
- License: MPL

Revision 1.5  2001/01/06 11:40:48  jajcus
- spec adapterized
- fix openh323u.mak while installing it

Revision 1.4  2001/01/06 11:30:33  jajcus
- %{_datadir}/misc/* added to %files

Revision 1.3  2001/01/06 11:08:13  jajcus
- these are not X11 libraries

Revision 1.2  2001/01/04 19:32:30  jajcus
- prefix changed to /usr

Revision 1.1  2001/01/04 13:58:02  jajcus
- initial spec
